cpw.mods.fml.client.config

## Class DummyConfigElement.DummyCategoryElement<T>

- java.lang.Object
- - cpw.mods.fml.client.config.DummyConfigElement<T>
  - - cpw.mods.fml.client.config.DummyConfigElement.DummyCategoryElement<T>

- All Implemented Interfaces:
    IConfigElement<T>
  Enclosing class:
    DummyConfigElement<T>

      public static class DummyConfigElement.DummyCategoryElement<T>
      extends DummyConfigElement<T>

  This class provides a Dummy Category IConfigElement. It can be used to define a custom list of GUI entries that will appear on the child screen or to specify a custom IGuiConfigListEntryfor a special category.

- - ### Property Summary

    - ### Properties inherited from class cpw.mods.fml.client.config.DummyConfigElement

      `isProperty`

  - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.client.config.DummyConfigElement

      `DummyConfigElement.DummyCategoryElement<T>, DummyConfigElement.DummyListElement<T>`

  - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.client.config.DummyConfigElement

      `arrayEntryClass, childElements, configEntryClass, defaultValue, defaultValues, isList, isListFixedLength, isProperty, langKey, maxListLength, maxValue, minValue, name, requiresMcRestart, requiresWorldRestart, type, validStringPattern, validValues, value, values`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyConfigElement.DummyCategoryElement(java.lang.String name, java.lang.String langKey, java.lang.Class<? extends GuiConfigEntries.IConfigEntry> customListEntryClass)`
    `DummyConfigElement.DummyCategoryElement(java.lang.String name, java.lang.String langKey, java.util.List<IConfigElement> childElements)`
    `DummyConfigElement.DummyCategoryElement(java.lang.String name, java.lang.String langKey, java.util.List<IConfigElement> childElements, java.lang.Class<? extends GuiConfigEntries.IConfigEntry> customListEntryClass)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.client.config.DummyConfigElement

      `get, getArrayEntryClass, getChildElements, getComment, getConfigEntryClass, getDefault, getDefaults, getLanguageKey, getList, getMaxListLength, getMaxValue, getMinValue, getName, getQualifiedName, getType, getValidationPattern, getValidValues, isDefault, isList, isListLengthFixed, isProperty, requiresMcRestart, requiresWorldRestart, set, set, setArrayEntryClass, setConfigEntryClass, setCustomListEntryClass, setRequiresMcRestart, setRequiresWorldRestart, setToDefault, showInGui`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyConfigElement.DummyCategoryElement

          public DummyConfigElement.DummyCategoryElement(java.lang.String name,
                                                 java.lang.String langKey,
                                                 java.util.List<IConfigElement> childElements)

    - #### DummyConfigElement.DummyCategoryElement

          public DummyConfigElement.DummyCategoryElement(java.lang.String name,
                                                 java.lang.String langKey,
                                                 java.lang.Class<? extends GuiConfigEntries.IConfigEntry> customListEntryClass)

    - #### DummyConfigElement.DummyCategoryElement

          public DummyConfigElement.DummyCategoryElement(java.lang.String name,
                                                 java.lang.String langKey,
                                                 java.util.List<IConfigElement> childElements,
                                                 java.lang.Class<? extends GuiConfigEntries.IConfigEntry> customListEntryClass)